{% extends 'thoughts/base.html' %}
{% load static %}


{% block content %}
      <nav>
        <a href="{% url 'create_thought' %}">Create a Thought</a>
        <a href="{% url 'logout' %}">Logout</a>
      </nav>
    </header>
    <main>
      <h2>Welcome {{ user.username }}!</h2>
      <h1>Thoughts</h1>
    
    <div class="thought-grid">
        {% if not thoughts %}
        <p> What's on your mind?</p>
        {% else %}
        {% for thought in thoughts %}
        <div class="thought-item">
          <div class ="thought-list">
            <ul>
              <li>{{ thought.title }}:</li>
                {{ thought.thought }}
            </ul>
        </div>
        {% endfor %}
        {%endif%}
    </div>
  </main>
{% endblock content %}
